aboutsummaryrefslogtreecommitdiffstats
path: root/socket.h
Commit message (Collapse)AuthorAgeFilesLines
* Compiler warnings fixes, preprocessor and minor general cleanup.Matthias Andree2004-06-181-2/+2
| | | | svn path=/trunk/; revision=3901
* strncat/snprintf cleanup.Eric S. Raymond2001-06-231-0/+5
| | | | svn path=/trunk/; revision=3366
* SSL certificati
#! /bin/sh

# html2txt.sh - A program to convert fetchmail's HTML documentation to text
# Copyright (C) 2004  Matthias Andree

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# --------------------------------------------------------------------------

# Usage: html2txt.sh INPUT.html

# --------------------------------------------------------------------------

# Abort on error
set -e

# Parse arguments
if [ $# -ne 1 ] ; then
    echo >&2 "Usage: `basename $0 || echo $0` input.html"
    exit 1
fi

# Pull in variables
inp="$1"
tmp="html2txt.$$.html"

# now preprocess
trap "rm -f \"$tmp\"" 0 1 2 3 15
${AWK:=awk} '/<table .*summary="Canned/ { i=1; }
     /<\/table>/ { i=0; }
     { if (i == 0) print $0; }' "$inp" >"$tmp"

# and go!
echo "  (This file was generated from $inp)"
lynx -dump -nolist "$tmp"
rm -f "$tmp"
trap "" 0 1 2 3 15
c844c9b1341d92c81f71d5e3bd1aae5c9faa3c89'>Drop back to using SockGets/SockWrite.Eric S. Raymond1996-12-241-1/+25 | | | | svn path=/trunk/; revision=683 * SockGets is gone.Eric S. Raymond1996-12-171-13/+2 | | | | svn path=/trunk/; revision=650 * Eliminate SockWrite and SockPrintf.Eric S. Raymond1996-12-171-9/+0 | | | | svn path=/trunk/; revision=649 * This isn't Carl's design anymore.Eric S. Raymond1996-12-161-2/+0 | | | | svn path=/trunk/; revision=633 * Yes! True stdio buffering at last!.Eric S. Raymond1996-12-161-13/+5 | | | | svn path=/trunk/; revision=632 * Prototypes everywhere.Eric S. Raymond1996-11-081-3/+0 | | | | svn path=/trunk/; revision=515 * Back out the attempt to use stdio.Eric S. Raymond1996-11-061-30/+5 | | | | svn path=/trunk/; revision=488 * Initial revisionEric S. Raymond1996-11-061-0/+71 svn path=/trunk/; revision=487